## GoaReadLater GoaReadLater — Generated C code for the org.gnome.OnlineAccounts.ReadLater D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_read_later_interface_info ()
guint | goa_read_later_override_properties ()
void | goa_read_later_proxy_new ()
GoaReadLater * | goa_read_later_proxy_new_finish ()
GoaReadLater * | goa_read_later_proxy_new_sync ()
void | goa_read_later_proxy_new_for_bus ()
GoaReadLater * | goa_read_later_proxy_new_for_bus_finish ()
GoaReadLater * | goa_read_later_proxy_new_for_bus_sync ()
GoaReadLater * | goa_read_later_skeleton_new ()

## Types and Values

| GoaReadLater
struct | GoaReadLaterIface
struct | GoaReadLaterProxy
struct | GoaReadLaterProxyClass
struct | GoaReadLaterSkeleton
struct | GoaReadLaterSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaReadLater
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaReadLaterSkeleton
        ╰── GDBusProxy
            ╰── GoaReadLaterProxy

## Prerequisites

GoaReadLater requires GObject.

## Implemented Interfaces

GoaReadLaterProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaReadLater.

GoaReadLaterSkeleton implements GDBusInterface and GoaReadLater.

## Known Implementations

GoaReadLater is implemented by GoaReadLaterProxy and GoaReadLaterSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.ReadLater D-Bus interface in C.

## Functions

### goa_read_later_interface_info ()

    GDBusInterfaceInfo *
    goa_read_later_interface_info (void);

Gets a machine-readable description of the org.gnome.OnlineAccounts.ReadLater D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.12.0

### goa_read_later_override_properties ()

    guint
    goa_read_later_override_properties (GObjectClass *klass,
                                        guint property_id_begin);

Overrides all GObject properties in the GoaReadLater interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.12.0

### goa_read_later_proxy_new ()

    void
    goa_read_later_proxy_new (GDBusConnection *connection,
                              GDBusProxyFlags flags,
                              const gchar *name,
                              const gchar *object_path,
                              GCancellable *cancellable,
                              GAsyncReadyCallback callback,
                              gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.ReadLater. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_read_later_proxy_new_finish()` to get the result of the operation.

See `goa_read_later_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.12.0

### goa_read_later_proxy_new_finish ()

    GoaReadLater *
    goa_read_later_proxy_new_finish (GAsyncResult *res,
                                     GError **error);

Finishes an operation started with `goa_read_later_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_read_later_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaReadLaterProxy]

Since: 3.12.0

### goa_read_later_proxy_new_sync ()

    GoaReadLater *
    goa_read_later_proxy_new_sync (GDBusConnection *connection,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.ReadLater. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `goa_read_later_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaReadLaterProxy]

Since: 3.12.0

### goa_read_later_proxy_new_for_bus ()

    void
    goa_read_later_proxy_new_for_bus (GBusType bus_type,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Like `goa_read_later_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `goa_read_later_proxy_new_for_bus_finish()` to get the result of the operation.

See `goa_read_later_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.12.0

### goa_read_later_proxy_new_for_bus_finish ()

    GoaReadLater *
    goa_read_later_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `goa_read_later_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_read_later_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaReadLaterProxy]

Since: 3.12.0

### goa_read_later_proxy_new_for_bus_sync ()

    GoaReadLater *
    goa_read_later_proxy_new_for_bus_sync (GBusType bus_type,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GError **error);

Like `goa_read_later_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `goa_read_later_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaReadLaterProxy]

Since: 3.12.0

### goa_read_later_skeleton_new ()

    GoaReadLater *
    goa_read_later_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.ReadLater.

#### Returns

The skeleton object.

[transfer full][type GoaReadLaterSkeleton]

Since: 3.12.0

## Types and Values

### GoaReadLater

    typedef struct _GoaReadLater GoaReadLater;

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.ReadLater.

Since: 3.12.0

### struct GoaReadLaterIface

    struct GoaReadLaterIface {
      GTypeInterface parent_iface;
    };

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.ReadLater.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

Since: 3.12.0

### struct GoaReadLaterProxy

    struct GoaReadLaterProxy;

The GoaReadLaterProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.12.0

### struct GoaReadLaterProxyClass

    struct GoaReadLaterProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for GoaReadLaterProxy.

#### Members

Since: 3.12.0

### struct GoaReadLaterSkeleton

    struct GoaReadLaterSkeleton;

The GoaReadLaterSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.12.0

### struct GoaReadLaterSkeletonClass

    struct GoaReadLaterSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for GoaReadLaterSkeleton.

#### Members

Since: 3.12.0